glibmm: Glib::SignalProxy1< R, P1 > Class Template Reference

glibmm 2.32.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Glib::SignalProxy1< R, P1 > Class Template Reference

Proxy for signals with 1 arguments. More...

`#include <glibmm/signalproxy.h>`

Inheritance diagram for Glib::SignalProxy1< R, P1 >:
[legend]

List of all members.

## Public Types
typedef sigc::slot< R, P1 > | SlotType
typedef sigc::slot< void, P1 > | VoidSlotType

## Public Member Functions
| SignalProxy1 (ObjectBase* obj, const SignalProxyInfo* info)
sigc::connection | connect (const SlotType& slot, bool after=true)
| Connects a signal to a signal handler.
sigc::connection | connect_notify (const VoidSlotType& slot, bool after=false)
| Connects a signal to a signal handler without a return value.
Public Member Functions inherited from Glib::SignalProxyNormal
| ~SignalProxyNormal ()
void | emission_stop ()
| stops the current signal emmision (not in libsigc++)
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase* obj)

## Additional Inherited Members
Protected Member Functions inherited from Glib::SignalProxyNormal
| SignalProxyNormal (Glib::ObjectBase* obj, const SignalProxyInfo* info)
| Create a proxy for a signal that can be emitted by obj.
sigc::slot_base& | connect_ (const sigc::slot_base& slot, bool after)
| Connects a signal to a generic signal handler.
sigc::slot_base& | connect_notify_ (const sigc::slot_base& slot, bool after)
| Connects a signal to a signal handler without a return value.

## Detailed Description

### template<class R, class P1>
class Glib::SignalProxy1< R, P1 >

Proxy for signals with 1 arguments.

Use the connect() method, with sigc::mem_fun() or sigc::ptr_fun() to connect signals to signal handlers.

## Member Typedef Documentation

template <class R , class P1 >

typedef sigc::slot<R,P1> Glib::SignalProxy1< R, P1 >::SlotType

template <class R , class P1 >

typedef sigc::slot<void,P1> Glib::SignalProxy1< R, P1 >::VoidSlotType

## Constructor & Destructor Documentation

template <class R , class P1 >

Glib::SignalProxy1< R, P1 >::SignalProxy1 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo * | info
| ) |  |
| inline

## Member Function Documentation

template <class R , class P1 >

sigc::connection Glib::SignalProxy1< R, P1 >::connect | ( | const SlotType& | slot,
|  | bool | after = `true`
| ) |  |
| inline

Connects a signal to a signal handler.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

Parameters:

  slot | The signal handler, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.

template <class R , class P1 >

sigc::connection Glib::SignalProxy1< R, P1 >::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = `false`
| ) |  |
| inline

Connects a signal to a signal handler without a return value.

By default, the signal handler will be called before the default signal handler, in which case any return value would be replaced anyway by that of the later signal handler.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

Parameters:

  slot | The signal handler, which should have a void return type, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.